%define upstream_name    Authen-Htpasswd
%define upstream_version 0.171

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Interface to read and modify Apache .htpasswd files
License:    Artistic/GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Crypt::PasswdMD5)
BuildRequires: perl(Digest)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::LockedFile)
BuildRequires: perl(Scalar::Util)
BuildArch:  noarch

%description
This module provides a convenient, object-oriented interface to Apache-style
.htpasswd files. It supports passwords encrypted via MD5, SHA1, and crypt, as
well as plain (cleartext) passwords. It requires Crypt::PasswdMD5 for MD5 and
Digest::SHA1 for SHA1. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Authen

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.171.0-10.mga9
+ Revision: 1802132
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.171.0-9.mga8
+ Revision: 1492861
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.171.0-8.mga7
+ Revision: 1265711
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.171.0-7.mga6
+ Revision: 1022610
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.171.0-6.mga6
+ Revision: 931667
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.171.0-5.mga5
+ Revision: 740446
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.171.0-4.mga5
+ Revision: 683569
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.171.0-3.mga4
+ Revision: 509275
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.171.0-2.mga3
+ Revision: 363239
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.171

* Thu Jan 27 2011 jquelin <jquelin> 0.161.0-1.mga1
+ Revision: 41807
- mageia rebuild
- imported package perl-Authen-Htpasswd

